Subject: bug#30434: magit won’t work over TRAMP

From: Mark H Weaver <[email-masked]>
Date: Fri, 16 Feb 2018 04:09:38 -0500

Alex Kost <[email-masked]> writes:

> Mark H Weaver (2018-02-14 13:17 -0500) wrote:
>
>> Alex Kost <[email-masked]> writes:
>>
>>> You didn't remove "git" from the inputs.  I think it is not needed now.
>>
>> I removed it on my first attempt, but the build failed.  See below.
>
> Oh, right, sorry.  I use my own package for magit and it dosn't require
> git input, so I thought that the original guix package also doesn't need
> it.  Sorry for the confusion :-)

How does your own magit package avoid requiring git as an input?  I'd be
curious to see the diff between your package definition and ours.

       Mark